#### D.15.3.16 chDual

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chDual(c); c list of polynomials

Return:
  list of polynomials

Purpose:
  computes the list of Chern classes of the dual vector bundle

Note:

Example:

    LIB "chern.lib";
    // Chern classes of a vector bundle that is dual to a vector bundle
    // with Chern classes c(1), c(2), c(3)
    ring r=0, (c(1..3)), dp;
    list l=c(1..3);
    print(chDual(l));
    ==> [1]:
    ==>    -c(1)
    ==> [2]:
    ==>    c(2)
    ==> [3]:
    ==>    -c(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.